Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class Event

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.Event

Direct Known Subclasses:
  CallEvent, ChangeEvent, CompletionEvent, SignalEvent, TimeEvent

public class Event
extends org.opencyc.uml.core.ModelElement

Event from the UML State_Machine package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected java.util.ArrayList` | `parameter` the parameters of this event

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`Event()` Constructs a new Event object.

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns true if the given object equals this object.
`java.util.ArrayList` | `getParameter()` Gets the parameters of this event.
`void` | `setParameter(java.util.ArrayList parameter)` Sets the parameters of this event.

Methods inherited from class org.opencyc.uml.core.ModelElement
`getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parameter

    protected java.util.ArrayList parameter

  the parameters of this event

Constructor Detail

### Event

    public Event()

  Constructs a new Event object.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the given object equals this object.
  Overrides:
    `equals` in class `org.opencyc.uml.core.ModelElement`
  Parameters:
    `object` - the given object
  Returns:
    true if the given object equals this object, otherwise returns false

### getParameter

    public java.util.ArrayList getParameter()

  Gets the parameters of this event.
  Returns:
    the parameters of this event

### setParameter

    public void setParameter(java.util.ArrayList parameter)

  Sets the parameters of this event.
  Parameters:
    `parameter` - the parameters of this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD